Search found 30 matches

Go to advanced search

by jcf
Thu Feb 23, 2017 9:04 am
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 19
Views: 551

Re: Modify Path to my needs. How?

Now I can generate a contour path by script. The next step is to attack the profile path. I have looked at the code which seems to be more complex, while part of this complexity lies in guessing the base object as it seems to me. I have not fully understood which kind of object this must be. May it ...
by jcf
Fri Feb 17, 2017 5:30 pm
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 19
Views: 551

Re: Modify Path to my needs. How?

Actually my code seems to work! :D I didn't notice because I forgot FreeCAD.ActiveDocument.recompute() at the end. Another thing is that I updated Freecad - daily ton 0.17R10101 The Path module I use is an older one however, can't tell from when. (I wanted to keep this as it had made me nice G code ...
by jcf
Fri Feb 17, 2017 9:31 am
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 19
Views: 551

Re: Modify Path to my needs. How?

I have progressed a little bit in understanding the Path scripts. Now I am able to create a path Job object and set my parameters: # -*- coding: utf-8 -*- # Macro for initializing Path Job and setting tool and feed rate import FreeCAD import PathScripts.PathJob as PathJob import PathScripts.PathLoad...
by jcf
Wed Feb 08, 2017 2:38 pm
Forum: Path/CAM
Topic: Getting started with Path in v0.17
Replies: 33
Views: 1692

Re: Getting started with Path in v0.17

I am at the other computer now ( where I have problems ) and just verified the version it is: OS: Linux Mint 17.2 Rafaela Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.17.9747 (Git) Build type: None Branch: master Hash: f5c0f579cbd7ce668727f8835946e4e9abc0eec6 Python version: 2.7.6...
by jcf
Wed Feb 08, 2017 7:28 am
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 19
Views: 551

Re: Modify Path to my needs. How?

Thank you, sliptonic.
That seems to be the information I needed! :D
I'll have a look at it as soon as I can.
by jcf
Wed Feb 08, 2017 7:25 am
Forum: Path/CAM
Topic: Getting started with Path in v0.17
Replies: 33
Views: 1692

Re: Getting started with Path in v0.17

Sorry, I did not mention the version. Could not, as I was sitting in another room with my students writing a test, and my machine far away. While posting this, the situation is the same. I'll try to make some progress documenting my problems ;) -- The good news however is that I tried at home, and t...
by jcf
Tue Feb 07, 2017 3:55 pm
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 19
Views: 551

Re: Modify Path to my needs. How?

You'll have to be more specific about what you're looking for. For a start, I have one specific question: When I press the "Create Contour Path" button, where do I go in PathScripts? Where is the entry point? To create a path job, I have done this: obj = FreeCAD.ActiveDocument.addObject(&...
by jcf
Tue Feb 07, 2017 1:30 pm
Forum: Path/CAM
Topic: First Steps with Path WB
Replies: 17
Views: 562

Re: First Steps with Path WB

Glad to hear that it helped. Of course you are invited to add to the documentation I had started something here: http://staff.ltam.lu/feljc/software/freecad/FreeCAD_from_draft_to_g.pdf (I started from 2D, as I had problems with 3D generating a path and I thought maybe this would be more simple) but...
by jcf
Tue Feb 07, 2017 12:51 pm
Forum: Path/CAM
Topic: Modify Path to my needs. How?
Replies: 19
Views: 551

Re: Modify Path to my needs. How?

I have found this wiki about path:
https://github.com/yorikvanhavre/FreeCA ... ath-module

Is there a place where I could find some more information?
by jcf
Tue Feb 07, 2017 12:16 pm
Forum: Path/CAM
Topic: Getting started with Path in v0.17
Replies: 33
Views: 1692

Re: Getting started with Path in v0.17

Sorry to say that, but I am somewhat in despair: I thought I had understood mostly how I should do to get my gcode, as I summarized here: http://staff.ltam.lu/feljc/software/freecad/FreeCAD_from_draft_to_g.pdf But now I run into new difficulties, as I get errors when using the workflow described in ...

Go to advanced search